{
  "schemaVersion": 2,
  "services": [
    {
      "name": "rego-tunnel",
      "image": "git.alexzaw.dev/alexz/cisco-vpn:latest",
      "environment": [
        {
          "key": "VPN_EMAIL",
          "value": "${VPN_EMAIL}"
        },
        {
          "key": "VPN_PASSWORD",
          "value": "${VPN_PASSWORD}"
        },
        {
          "key": "VPN_TOTP_SECRET",
          "value": "${VPN_TOTP_SECRET}"
        },
        {
          "key": "VPN_HOST",
          "value": "${VPN_HOST}"
        },
        {
          "key": "VNC_PASSWORD",
          "value": "${VNC_PASSWORD}"
        },
        {
          "key": "TZ",
          "value": "${TZ}"
        },
        {
          "key": "TARGET_IP",
          "value": "${TARGET_IP}"
        }
      ],
      "internalPort": 6080,
      "volumes": [
        {
          "hostPath": "${APP_DATA_DIR}/config",
          "containerPath": "/config",
          "readOnly": false
        },
        {
          "hostPath": "${APP_DATA_DIR}",
          "containerPath": "/runtime",
          "readOnly": false
        },
        {
          "hostPath": "/etc/runtipi/repos/runtipi/apps/rego-tunnel/shared",
          "containerPath": "/shared",
          "readOnly": false
        },
        {
          "hostPath": "/sys/fs/cgroup",
          "containerPath": "/sys/fs/cgroup",
          "readOnly": false
        },
        {
          "hostPath": "/etc/runtipi/repos/runtipi/apps/rego-tunnel/shared/xstartup",
          "containerPath": "/root/.vnc/xstartup",
          "readOnly": true
        }
      ],
      "stopGracePeriod": "30s",
      "devices": [
        "/dev/net/tun"
      ],
      "privileged": true,
      "capAdd": [
        "NET_ADMIN"
      ],
      "isMain": true,
      "extraLabels": {
        "runtipi.managed": true
      }
    }
  ]
}
